summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2006-12-15 10:43:20 +0100
committerJim Meyering <jim@meyering.net>2006-12-15 10:43:20 +0100
commit4e48b4ce334cb601dbbe2562e3aa410dc3ef3fba (patch)
treefaf7360c84e3bcd426108dc19cc54a48b1fa8e75
parent6f005c84916c873f6e3cf01c1865b149132ab29f (diff)
downloadcoreutils-4e48b4ce334cb601dbbe2562e3aa410dc3ef3fba.tar.xz
* tests/cp/open-perm-race: Correct the gdb-existence check.
Don't run either subsequent gdb command in a sub-shell. Reported by Thomas Schwinge. * THANKS: bring up to date.
-rw-r--r--ChangeLog7
-rw-r--r--THANKS3
-rwxr-xr-xtests/cp/open-perm-race17
3 files changed, 19 insertions, 8 deletions
diff --git a/ChangeLog b/ChangeLog
index 4ec44099d..23455e2be 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,10 @@
+2006-12-15 Jim Meyering <jim@meyering.net>
+
+ * tests/cp/open-perm-race: Correct the gdb-existence check.
+ Don't run either subsequent gdb command in a sub-shell.
+ Reported by Thomas Schwinge.
+ * THANKS: bring up to date.
+
2006-12-14 Paul Eggert <eggert@cs.ucla.edu>
Make sure cp -p isn't too generous with file permissions.
diff --git a/THANKS b/THANKS
index 575921f16..986167d54 100644
--- a/THANKS
+++ b/THANKS
@@ -323,11 +323,13 @@ Matt Perry matt@primefactor.com
Matt Schalit mschalit@pacbell.net
Matt Swift swift@alum.mit.edu
Matthew Arnison maffew@cat.org.au
+Matthew M. Boedicker matthewm@boedicker.org
Matthew Braun matthew@ans.net
Matthew Clarke Matthew_Clarke@mindlink.bc.ca
Matthew S. Levine mslevine@theory.lcs.mit.edu
Matthew Smith matts@bluesguitar.org
Matthew Swift swift@alum.mit.edu
+Matthew Woehlke mw_triad@users.sourceforge.net
Matthias Urlichs smurf@noris.de
Matti Aarnio matti.aarnio@zmailer.org
Mattias Wadenstein maswan@acc.umu.se
@@ -471,6 +473,7 @@ Thomas Hood jdthood@yahoo.co.uk
Thomas Luzat thomas@luzat.com
Thomas M.Ott thmo-13@gmx.de
Thomas Quinot thomas@Cuivre.FR.EU.ORG
+Thomas Schwinge tschwinge@gnu.org
Thomas Wolff mined@towo.net
Tim J. Robbins tjr@FreeBSD.org
Tim Mooney mooney@dogbert.cc.ndsu.NoDak.edu
diff --git a/tests/cp/open-perm-race b/tests/cp/open-perm-race
index b09776a82..970d7e8c4 100755
--- a/tests/cp/open-perm-race
+++ b/tests/cp/open-perm-race
@@ -48,16 +48,17 @@ mkdir d && chgrp $group_2 d && chmod g+s,g-w d || framework_failure=1
touch file && chmod go+w file || framework_failure=1
( gdb --version ) > gdb.out 2>&1
-if test ! -s gdb.out; then
- echo "$0: can't run gdb. Skipping this test." 1>&2
- (exit 77); exit 77
-fi
+case `cat gdb.out` in
+ 'GNU gdb'*) ;;
+ *) echo "$0: can't run gdb. Skipping this test." 1>&2;
+ (exit 77); exit 77;;
+esac
-( gdb -nx --batch-silent \
+gdb -nx --batch-silent \
--eval-command='break copy_reg' \
--eval-command='break open_safer' \
--eval-command='quit' \
- $abs_top_builddir/src/cp < /dev/null ) > gdb.out 2>&1
+ $abs_top_builddir/src/cp < /dev/null > gdb.out 2>&1
if test -s gdb.out; then
cat <<EOF 1>&2
$0: can't set breakpoints in cp. Skipping this test.
@@ -80,8 +81,8 @@ if test $framework_failure = 1; then
(exit 1); exit 1
fi
-( gdb -nx --batch-silent --command=gdb-cmd --args \
- $abs_top_builddir/src/cp -p file d ) > gdb.out 2>&1
+gdb -nx --batch-silent --command=gdb-cmd --args \
+ $abs_top_builddir/src/cp -p file d > gdb.out 2>&1
# Expect no output.
if test -s gdb.out; then